task getBam {
	File bam
	File bam_idx
	String sample
	String region
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		cat ${region} | whlie read a
		do
			/opt/conda/bin/samtools view -b ${bam} "$a" > $a.${sample}.bam
			/opt/conda/bin/samtools index $a.${sample}.bam
		done
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] region_bam = glob("*.bam")
		Array[File] region_bai = glob("*.bam.bai")
	}
}
